/*---------------------------------------
  CUSTOM FONTS (Google Fonts)
-----------------------------------------*/
@import url('https://fonts.googleapis.com/css2?family=Funnel+Display:wght@300..800&family=Rubik:ital,wght@0,300..900;1,300..900&display=swap');

/*---------------------------------------
  CUSTOM PROPERTIES ( VARIABLES )
-----------------------------------------*/
:root,
[data-bs-theme=light] {
    --tblr-primary: #171831;
    --tblr-secondary: #00FFAB;
    --tblr-success: #00FFAB;
    --tblr-danger: #FC5E5F;
    --tblr-green: #00FFAB;
    --tblr-red: #FC5E5F;
    --tblr-primary-rgb: 23, 24, 49;
    --tblr-secondary-rgb: 38, 211, 152;
    --tblr-success-rgb: 38, 211, 152;
    --tblr-green-rgb: 38, 211, 152;
    --tblr-gray-50: #e7f0f8;
    --tblr-gray-100: #DAE1E9;
    --tblr-gray-200: #cad1da;
    --tblr-gray-300: #afbcc9;
    --tblr-gray-400: #99a8b7;
    --tblr-gray-500: #7f91a3;
    --tblr-gray-600: #5e7284;
    --tblr-gray-700: #46596b;
    --tblr-gray-800: #354757;
    --tblr-gray-900: #263643;
    --tblr-gray-950: #18232c;
    --tblr-body-bg: var(--tblr-gray-100);
    --tblr-body-color: var(--tblr-primary);

    --tblr-secondary-darken: color-mix(in oklab, var(--tblr-secondary), #000000 20%);

    --tblr-font-size-h1: 2.25rem;
    --tblr-font-size-h2: 2rem;
    --tblr-font-size-h3: 1.75rem;
    --tblr-font-size-h4: 1.55rem;
    --tblr-font-size-h5: 1.35rem;
    --tblr-font-size-h6: 1.15rem;
}

:root {
    --tblr-font-sans-serif: 'Inter', -apple-system, BlinkMacSystemFont, 'San Francisco', 'Segoe UI', Roboto, 'Helvetica Neue', sans-serif;

    /* Antes: 'Nutmeg' y 'font-rubik' */
    --font-funnel-display: 'Funnel Display', system-ui, -apple-system, 'Segoe UI', Roboto, 'Helvetica Neue', sans-serif;
    --font-font-rubik: 'Rubik', system-ui, -apple-system, 'Segoe UI', Roboto, 'Helvetica Neue', sans-serif;

    --tblr-border-radius: var(--tblr-border-radius-pill);
}

.font-sans {
    font-family: var(--tblr-font-sans-serif);
}

.font-funnel-display {
    font-family: var(--font-funnel-display);
}

.font-font-rubik {
    font-family: var(--font-font-rubik);
}

.btn {
    --tblr-btn-padding-y: 0.5rem;
}

html {
    margin-left: 0px !important;
}

html,
body {
    overflow-x: hidden;
    /* height: auto; */
    min-height: 100%;
    overflow-y: auto;
    /* que nadie lo deje en hidden */
    padding-right: 0px !important;
}

body {
    padding-bottom: env(safe-area-inset-bottom);
}

/* Solo Safari iOS */
@supports (-webkit-touch-callout: none) {
    .full-height {
        min-height: calc(100svh - 56px);
        /* un poco más de alto para forzar scroll */
    }
}

header {
    height: 65px;
    z-index: 101;
    position: sticky;
    top: 0;
}

a {
    font-weight: bold;
}

.font-sans {
    font-family: var(--tblr-font-sans-serif);
}

.font-funnel-display {
    font-family: var(--font-funnel-display);
}

.font-font-rubik {
    font-family: var(--font-font-rubik);
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: var(--font-font-rubik);
    letter-spacing: 1pt;
}

.h-grande {
    font-size: 3.25rem;
    line-height: 2.8rem;
}

.text-secondary-darken {
    color: var(--tblr-secondary-darken);
}

main {
    min-height: 70vh;
}

.form-control {
    padding: 0.5rem 1rem;
}

.form-control:focus {
    box-shadow: var(--tblr-shadow-input), 0 0 0 .25rem rgba(var(--tblr-primary-rgb), .5);
    border-color: var(--tblr-primary);
}

.input-group-flat:focus-within {
    box-shadow: 0 0 0 .25rem rgba(var(--tblr-primary-rgb), .5);
}

.input-group-flat:focus-within .form-control,
.input-group-flat:focus-within .input-group-text {
    border-color: var(--tblr-primary) !important;
}

.input-group-text {
    border-top-right-radius: inherit !important;
    border-bottom-right-radius: inherit !important;
    border-radius: var(--tblr-border-radius);
}

.navbar {
    --tblr-navbar-active-color: #FC5E5F;
    box-shadow: none;
}

@media (max-width: 992px) {
    .navbar {
        width: 100%;
    }
}

.navbar .navbar-nav .nav-link {
    min-width: inherit;
    min-height: inherit;
}

.navbar-expand .navbar-nav .nav-link {
    padding-right: 0;
    padding-left: 0;
}

.nav-link {
    display: block;
    padding: 0.5rem;
    transition: color 0.15s ease !important;
}

.nav-link:focus,
.nav-link:hover {
    background-color: transparent;
    color: var(--tblr-red);
}

.navbar-expand .nav-item.active .nav-link {
    color: var(--tblr-red);
}

aside {
    z-index: 100;
    position: absolute;
    right: 0;
    height: calc(100% - 56px);
    width: 280px;
    overflow-y: auto;
    transition: right 0.5s ease;
    border-right: 1px solid var(--tblr-border-color);
    background-color: var(--tblr-gray-100);
    padding: 2rem;
    display: flex;
    flex-flow: column;
}

aside.closed {
    right: -280px;
}

aside .navbar-nav .nav-item .nav-link {
    padding: 1rem 0.75rem;
    border-bottom: 1px solid var(--tblr-primary);
    display: flex;
    align-items: center;
    border-radius: 0;
    transition: 0.15s ease !important;
    color: var(--tblr-primary);
}

aside .navbar-nav .nav-item .nav-link .nav-link-icon>i {
    font-size: 20px;
}

aside .navbar-nav .nav-item .nav-link:hover,
aside .navbar-nav .nav-item .nav-link:focus {
    color: var(--tblr-red);
}

aside .navbar-nav .nav-item.active .nav-link {
    color: var(--tblr-red);
}

#sideback-backdrop {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.2);
    z-index: 99;
    transition: 0.15s ease !important;
    pointer-events: auto;
}

#sideback-backdrop.closed {
    opacity: 0;
    z-index: -1;
    pointer-events: none;
}

.mb-menu {
    margin-bottom: 56px;
}

.full-height {
    /* height: calc(100vh - 56px); */
    min-height: calc(100svh - 56px);
    display: flex;
    flex-flow: column;
}

.full-image {
    background-size: cover;
    background-position-x: 60%;
    background-position-y: 25%;
    overflow: hidden;
}

.full-image-25 {
    background-size: cover;
    background-position-x: 25%;
    background-position-y: 25%;
    overflow: hidden;
}

.light-gradient {
    position: relative;
}

.light-gradient::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to bottom, rgba(255, 255, 255, 1) 10%, rgba(255, 255, 255, 0) 35%);
}

.light-gradient-100 {
    position: relative;
}

.light-gradient-100::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to bottom, rgba(255, 255, 255, 1) 15%, rgba(255, 255, 255, 0) 100%);
}

/* Asegura el apilado correcto */
/* .light-gradient {
    position: relative;
}

.light-gradient>* {
    position: relative;
    z-index: 1;
}

.light-gradient::before,
.light-gradient::after {
    content: "";
    position: absolute;
    inset: 0;
    pointer-events: none;
    z-index: 0;
}

.light-gradient::before {
    background: linear-gradient(to bottom,
            rgba(255, 255, 255, 1) 10%,
            rgba(255, 255, 255, 0) 35%);
}

.light-gradient::after {
    background: linear-gradient(to right,
            rgba(255, 255, 255, 1) 10%,
            rgba(255, 255, 255, 0) 35%);
}

@media (max-width: 767.98px) {
    .light-gradient::after{
        background: linear-gradient(to right,
        rgba(255,255,255,.90) 0,
        rgba(255,255,255,.70) 8vw,
        rgba(255,255,255,.30) 18vw,
        rgba(255,255,255,0) 34vw
        );
    }
} */


.form-acceso {
    max-width: 360px;
    width: 100%;
}

.pista-icono-wrapper {
    position: relative;
    display: inline-block;
    width: 120px;
    height: auto;
}

.pista-icono {
    width: 100%;
    height: auto;
    display: block;
}

.numero-centro {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-weight: bold;
    /* font-size: 1.2rem; */
    color: white;
    background-color: #1a1a2e;
    width: 32px;
    height: 32px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

#filter-container .club-item {
    display: flex;
}

#filter-container .club-item>a {
    flex: 1;
    display: flex;
}

#filter-container .card {
    display: flex;
    flex-direction: column;
    width: 100%;
}

#filter-container .card-body {
    display: flex;
    flex-direction: column;
    gap: .5rem;
    flex: 1;
}

#filter-container .logo-box {
    height: 150px;
    display: flex;
    align-items: center;
    justify-content: center;
}

#filter-container .logo-box img {
    max-height: 100%;
    width: auto;
}

#filter-container h2 {
    line-height: 1.2;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    min-height: calc(1.2em * 2);
    margin: 0;
}

/* --- Margen/padding lateral más amplio en móviles --- */
@media (max-width: 576px) {

    /* Aumenta el “gutter” de Bootstrap en móviles */
    .container,
    .container-sm,
    .container-md,
    .container-lg,
    .container-xl,
    .container-xxl {
        padding-left: clamp(1rem, 6vw, 2rem);
        padding-right: clamp(1rem, 6vw, 2rem);
    }

    /* Si usas .row sin .container alrededor */
    .row {
        margin-left: 0;
        margin-right: 0;
        padding-left: clamp(1rem, 6vw, 2rem);
        padding-right: clamp(1rem, 6vw, 2rem);
    }
}

header .navbar .container {
    min-height: 72px;
    display: flex;
    align-items: center;
    padding-top: 0.55rem;
    padding-bottom: .55rem;

}



/* Tamaño único para todos los iconos del sidebar */
.nav-icon-lg {
    width: 24px;
    min-width: 24px;
    height: 24px;
    display: inline-flex;
    align-items: center;
    gap: 0;
}

.nav-icon-lg img {
    width: 30px;
    height: 30px;
    display: block;
}

.nav-icon-lg .ti {
    font-size: 30px;
    line-height: 1;
}

/* No oscurecer el fondo al abrir cualquier modal */
.modal-backdrop {
    background: transparent !important;
}

.modal-backdrop.show {
    opacity: 0 !important;
}

.btn {
    font-weight: 800;
}